XSLTLiaison4 (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, interface: XSLTLiaison4

# Interface XSLTLiaison4

All Superinterfaces:
  `XSLTLiaison, XSLTLiaison2, XSLTLiaison3`

All Known Implementing Classes:
  `TraXLiaison`

public interface XSLTLiaison4 extends XSLTLiaison3
Extends Proxy interface for XSLT processors: adds support for XSLT parameters of various types (not only String)

Since:
  Ant 1.9.3
Author:
  Frantisek Kucera (xkucf03)
See Also:
  - `XSLTProcess`

- ## Field Summary

  ### Fields inherited from interface XSLTLiaison

  `FILE_PROTOCOL_PREFIX`
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_PROTOCOL_PREFIX`
  the file protocol prefix for systemid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParam(String name, Object value)`
  Add a parameter to be set during the XSL transformation.

  ### Methods inherited from interface XSLTLiaison

  `addParam, setStylesheet, transform`
  Modifier and Type
  Method
  Description
  `void`
  `addParam(String name, String expression)`
  Add a parameter to be set during the XSL transformation.
  `void`
  `setStylesheet(File stylesheet)`
  set the stylesheet to use for the transformation.
  `void`
  `transform(File infile, File outfile)`
  Perform the transformation of a file into another.

  ### Methods inherited from interface XSLTLiaison2

  `configure`
  Modifier and Type
  Method
  Description
  `void`
  `configure(XSLTProcess xsltTask)`
  Configure the liaison from the XSLTProcess task

  ### Methods inherited from interface XSLTLiaison3

  `setStylesheet`
  Modifier and Type
  Method
  Description
  `void`
  `setStylesheet(Resource stylesheet)`
  sets the stylesheet to use as a resource

- ## Method Details

  - ### addParam

    void addParam(String name, Object value) throws Exception
    Add a parameter to be set during the XSL transformation.
    Parameters:
      `name` - the parameter name.
      `value` - the parameter value as String, Boolean, int, etc.
    Throws:
      `Exception` - thrown if any problems happens.
    Since:
      Ant 1.9.3
    See Also:
      - `Transformer.setParameter(java.lang.String, java.lang.Object)`